"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.run = void 0;
const tslib_1 = require("tslib");
const path_1 = tslib_1.__importDefault(require("path"));
const foundation_cli_1 = require("@genesislcap/foundation-cli");
const utils_1 = require("./utils");
process.on('uncaughtException', foundation_cli_1.errorHandler);
process.on('unhandledRejection', (error) => {
    throw error;
});
const cwd = path_1.default.join(__dirname, '../dist');
const config = path_1.default.resolve(cwd, 'plopfile.js');
// CLI entry point
function run() {
    return tslib_1.__awaiter(this, void 0, void 0, function* () {
        try {
            if (foundation_cli_1.argvMinimist.help || foundation_cli_1.argvMinimist.h) {
                (0, utils_1.printHelp)();
                process.exit(0);
            }
            (0, foundation_cli_1.launcher)(config, cwd);
            return process.exitCode || 0;
        }
        catch (error) {
            (0, foundation_cli_1.errorHandler)(error);
        }
    });
}
exports.run = run;
